mia-multihist
Prev | Processing of series of 2D images in a 3D fashion (out-of-core) | Next

### mia-multihist

#### Sysnopis:

`mia-multihist` {-i `io`} {-o `string`} [ `options` ...]

#### Description:

This program evaluates the histogram over a series of 2D images

#### Options:

-i, --in-file=(input, required); io

  input image(s) to be filtered. For supported file types see Plugin type: 2dimage/io

-o, --out-histogram=(output, required); string

  output file name

--min=0; float

  minimum of histogram range

--max=65535; float

  maximum of histogram range

--bins=65536; ulong

  number of histogram bins, set to zero to create a bin for each intensity value available in the input data. In this case the histogram range is also evaluated automatically

#### Help & Info

-V, --verbose=warning; dict

  verbosity of output, print messages of given level and higher priorities. Supported priorities starting at lowest level are:

  trace: | Function call trace
  debug: | Debug output
  info: | Low level messages
  message: | Normal messages
  warning: | Warnings
  fail: | Report test failures
  error: | Report errors
  fatal: | Report only fatal errors

--copyright=(); bool

  print copyright information

-h, --help=(); bool

  print this help

-?, --usage=(); bool

  print a short help

--version=(); bool

  print the version number and exit

#### Processing

--threads=-1; int

  Maxiumum number of threads to use for processing,This number should be lower or equal to the number of logical processor cores in the machine. (-1: automatic estimation).

#### Example:

Evaluate the histogram over all consecutively numbered images that follow the numbering pattern inputXXXX.exr and store the output histogram in histo.txt. Use the range [0,256] and 64 bins.

    mia-multihist -i input0000.exr -o histo.txt --min 0 --max 256 --bins 64

#### Author(s):

Gert Wollny

Prev | Up | Next
mia-3ddistance | Home | Analysis, filtering, combining, and segmentation of 3D images